diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index 045c01bf..ef0994ee 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -560,7 +560,7 @@ def fetch(trans_id, fetch_all=None):
             status = 'Error'
         else:
             status = 'Success'
-            res_len = len(result)
+            res_len = len(result) if result else 0
             if fetch_row_cnt != -1 and res_len == ON_DEMAND_RECORD_COUNT:
                 has_more_rows = True
 
diff --git a/web/pgadmin/utils/driver/psycopg2/connection.py b/web/pgadmin/utils/driver/psycopg2/connection.py
index a2d1a873..535166ba 100644
--- a/web/pgadmin/utils/driver/psycopg2/connection.py
+++ b/web/pgadmin/utils/driver/psycopg2/connection.py
@@ -1113,7 +1113,6 @@ WHERE db.datname = current_database()""")
             formatted exception message
         """
         status, cur = self.__cursor()
-        self.row_count = 0
 
         if not status:
             return False, str(cur)
@@ -1164,8 +1163,6 @@ WHERE db.datname = current_database()""")
             )
             return False, errmsg
 
-        self.row_count = cur.rowcount
-
         return True, None
 
     def __attempt_execution_reconnect(self, fn, *args, **kwargs):
